diff -rupN seq24-rev48 adding win32/src/sequence.h seq24-rev48 win32 adding MouseInteraction/src/sequence.h
--- seq24-rev48 adding win32/src/sequence.h	2009-05-20 20:30:47.906250000 -0500
+++ seq24-rev48 win32 adding MouseInteraction/src/sequence.h	2009-05-20 20:30:52.203125000 -0500
@@ -174,6 +174,9 @@ class sequence
     void split_trigger( trigger &trig, long a_split_tick);
     void adjust_trigger_offsets_to_legnth( long a_new_len );
     long adjust_offset( long a_offset );
+    void remove( list<event>::iterator i );
+    void remove( event* e );
+
 
   public:
 
@@ -298,6 +301,11 @@ class sequence
     bool select_trigger(long a_tick);
     bool unselect_triggers (void);
 
+    bool intersectTriggers( long position, long& start, long& end );
+    bool intersectNotes( long position, long position_note, long& start, long& end, long& note );
+    bool intersectEvents( long posstart, long posend, long status, long& start );
+
+
     void del_selected_trigger( void );
     void cut_selected_trigger( void );
     void copy_selected_trigger( void );
@@ -327,7 +335,10 @@ class sequence
         e_select,
         e_select_one,
         e_is_selected,
-        e_would_select
+        e_would_select,
+        e_deselect, // deselect under cursor
+        e_toggle_selection, // sel/deselect under cursor
+        e_remove_one // remove one note under cursor
     };
     
     /* select note events in range, returns number
